<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';


if (!empty($_GET['id']) && is_numeric($_GET['id'])) // Діалог
{

	$id = abs(intval($_GET['id']));	
	if ($user_id == $id) go(URL.'/mail/');
	$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1"));
	else go(URL);

	$title = $arr_user['name'].' '.$arr_user['surname'];
	require_once '../incfiles/head.php';
		
?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
	Page.Loading('start');
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			Page.Go($that.attr('action'));
       }
     }
    });
  });
});

</script>
<?

	echo '<div class="title"><a class="title_a_hover" href="'.URL.'/?id='.$id.'" onclick="Page.Go(this.href); return false">'.$arr_user['name'].' '.$arr_user['surname'].'</a></div>
	<div class="title">'.lang('Написать сообщение','Написати повідомлення').'</div>';
	if ($arr_user['access_mail'] == 1 && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `friends` WHERE `user_id` = '".$user_id."' AND `friend_id` = '".$id."' LIMIT 1"),0) == false) echo err($arr_user['name'].' '.($arr_user['sex']==1?lang('ограничил','обмежив'):lang('ограничила','обмежила')).' доступ '.lang('к своей почте','до своєї пошти').': '.lang('Только для друзей','Тільки для друзів'));
	else echo '<div class="block2">
	<form id="form" method="post" action="'.URL.'/mail/?id='.$id.'">
	<textarea id="textarea" class="input" name="text" rows="4"></textarea>
	<input class="button2" type="submit" value="'.lang('Отправить','Надіслати').'"/>
	<a class="button3" href="'.URL.'/ajax/smiles.php" onclick="FormContent.Smiles(this.href); return false"><img src="'.URL.'/design/img/smile.png"/></a>
	</form>
	</div>
	<div id="form_content"></div>';
	
}

require_once '../incfiles/foot.php';

?>